io.undertow.security.api

## Interface GSSAPIServerSubjectFactory

    public interface GSSAPIServerSubjectFactory

The GSSAPIServerSubjectFactory is a factory responsible for returning the `Subject` that should be used for handing the GSSAPI based authentication for a specific request. The authentication handlers will not perform any caching of the returned Subject, the factory implementation can either return a new Subject for each request or can cache them maybe based on the expiration time of tickets contained within the Subject.

Author:
  Darran Lofthouse

### Method Summary

All Methods Instance Methods Abstract Methods
`Subject` `getSubjectForHost(String hostName)` Obtain the Subject to use for the specified host.

### Method Detail

#### getSubjectForHost

    Subject getSubjectForHost(String hostName)
                       throws GeneralSecurityException

Obtain the Subject to use for the specified host. All virtual hosts on a server could use the same Subject or each virtual host could have a different Subject, the implementation of the factory will make that decision. The factory implementation will also decide if there should be a default fallback Subject or if a Subject should only be provided for recognised hosts.

Parameters:
  `hostName` - - The host name used for this request.
Returns:
  The Subject to use for the specified host name or null if no match possible.
Throws:
  `GeneralSecurityException` - if there is a security failure obtaining the `Subject`